12

1.8 to 1.9 JSON and /playsound MCEdit filter

Collectable
  • 1,962
    Views, 0 today
  • 106
    Downloads, 0 today

Get Embed Codes

Forum:
HTML:
Link:
avatar
TheAl_T
Level 24 : Expert Taco
12
Simple MCEDit filter that converts all selected commandblocks, signs and commandblock minecarts to 1.9 "Strict" JSON and /playsound. Very useful if you have ton of commands.

It assumes you have working commands that use only double quotes.
Always backup your worlds if you use filters.

How to use:
  • Open your world in MCEdit
  • Select the region containing commandblocks, signs and commandblock minecarts you want to convert (it will leave anything else intact)
  • Hit filter
  • Done!
Inputs:
  • JSON: check if you want JSON converted
  • /playsound: check if you want /playsound converted
  • /playsound source: choose playsound source
If you find any bugs/ unconverted tags/ wrong sound pairs, let me know.

Sounds mentioned on wiki that weren't working even before 1.9:
  • mob.attack
  • none

Progress: 100% Complete
Game Version:Minecraft 1.9
Tags:

Update #1 : 02/02/2016 6:52:12 am2/02/16

Now works on signs and cmd minecarts as well.
/playsound conversion added.

Comments : 13

Join us to post comments.

Show Comments

1 - 13 of 13

  • king v
  • Level 1
  • New Engineer
  • May 15, 2016, 7:46 am
keeps giving me an error, i want to update my map top 1.9 :(

------





Unhandled Exception






Traceback (most recent call last):


File "mcedit2\editorapp.py", line 739, in libraryItemDoubleClicked (self is a MCEditApp)


File "mcedit2\editorsession.py", line 957, in importSchematic (self is a EditorSession)


File "mceditlib\worldeditor.py", line 233, in __init__ (self is a WorldEditor)


File "mceditlib\findadapter.py", line 62, in findAdapter


ValueError: Cannot detect type of file C:/Users/-----/Desktop/mcedit2-win64-2.0.0alpha-1007/MCEdit 2 Files/schematics/TheAl_Ts to 1_9 JSON.py.
  • king v
  • Level 1
  • New Engineer
  • May 15, 2016, 7:48 am
using mcedit 2.0 and cant get mcedit 1.0 since the download site isnt accesible
  • TheAl_T
  • Level 24
  • Expert Taco
  • May 15, 2016, 8:41 am
You can get 1.0 here: https://github.com/Khroki/MCEdit-Unified/releases , just pick the one that is for your computer (Lin, OSX, win 32 bit or win 64 bit).

As you can see in the stack trace, the Exception was not caused by my file, but by files: "mcedit2\editorapp.py", "mcedit2\editorsession.py", "mceditlib\worldeditor.py" and "mceditlib\findadapter.py".

I am using the MCEdit 1.0 and I don't get this error.
  • king v
  • Level 1
  • New Engineer
  • May 17, 2016, 6:05 am
thanks it worked now and i got my map updated! :)
  • nathan795
  • Level 58
  • Grandmaster Architect
  • April 6, 2016, 6:10 am
Thank you so much! Fixed my entire world!
  • TheAl_T
  • Level 24
  • Expert Taco
  • April 8, 2016, 7:20 am
I'm glad I didn't break anything =D
  • kaeporo
  • Level 1
  • New Miner
  • March 27, 2016, 2:32 am
Signed up with Planet Minecraft just to say thanks. The adventure map i'm working on has over 13,000 command blocks and you saved me beaucoup time.
  • TheAl_T
  • Level 24
  • Expert Taco
  • March 27, 2016, 3:54 am
Yay!
Thanks
  • 5uperTrinity
  • Level 69
  • High Grandmaster Hero
  • February 27, 2016, 2:37 am
Thanks for this, it's going to be a huge life saver for me when 1.9 comes out!
  • TheAl_T
  • Level 24
  • Expert Taco
  • February 27, 2016, 4:10 am
You're welcome! I'm glad I could help :)
  • Josephpica
  • Level 36
  • Artisan Pixel Painter
  • January 22, 2016, 10:36 am
Not exactly sure what it does? Does it convert 1.8 stuff to 1.9, or do I have no idea what I am reading?
  • TheAl_T
  • Level 24
  • Expert Taco
  • January 22, 2016, 12:53 pm
In 1.8 the JSON was "lenient" meaning you didn't need to put tags in quotes: {text:"hi",color:red}.
In 1.9 the JSON will be "strict". From now on, you will have to put everything in quotes: {"text":"hi","color":"red"}.
So if you have like a map that you want to update to 1.9 you will have to change every single command containing JSON.
This tool allows you to convert 1.8 JSON to 1.9 JSON in bulk. You just select region containing commandblocks with 1.8 JSON and it converts the commands to 1.9. It will leave anything else intact.
  • Josephpica
  • Level 36
  • Artisan Pixel Painter
  • January 22, 2016, 1:53 pm
Oh, I didn't know 1.9 would do that.

1 - 13 of 13

Show Comments

Search

Browse

Site

© planetminecraft.com

Welcome